class TestNodeFormOverride
Same name and namespace in other branches
- 11.x core/modules/media_library/tests/modules/media_library_test/src/Form/TestNodeFormOverride.php \Drupal\media_library_test\Form\TestNodeFormOverride
- 10 core/modules/media_library/tests/modules/media_library_test/src/Form/TestNodeFormOverride.php \Drupal\media_library_test\Form\TestNodeFormOverride
- 8.9.x core/modules/media_library/tests/modules/media_library_test/src/Form/TestNodeFormOverride.php \Drupal\media_library_test\Form\TestNodeFormOverride
Override NodeForm to test media library form submission semantics.
Hierarchy
- class \Drupal\Core\Form\FormBase implements \Drupal\Core\Form\FormInterface, \Drupal\Core\DependencyInjection\ContainerInjectionInterface uses \Drupal\Core\DependencyInjection\DependencySerializationTrait, \Drupal\Core\Logger\LoggerChannelTrait, \Drupal\Core\Messenger\MessengerTrait, \Drupal\Core\Routing\RedirectDestinationTrait, \Drupal\Core\StringTranslation\StringTranslationTrait
- class \Drupal\Core\Entity\EntityForm implements \Drupal\Core\Entity\EntityFormInterface extends \Drupal\Core\Form\FormBase
- class \Drupal\Core\Entity\ContentEntityForm implements \Drupal\Core\Entity\ContentEntityFormInterface extends \Drupal\Core\Entity\EntityForm
- class \Drupal\node\NodeForm extends \Drupal\Core\Entity\ContentEntityForm
- class \Drupal\media_library_test\Form\TestNodeFormOverride extends \Drupal\node\NodeForm
- class \Drupal\node\NodeForm extends \Drupal\Core\Entity\ContentEntityForm
- class \Drupal\Core\Entity\ContentEntityForm implements \Drupal\Core\Entity\ContentEntityFormInterface extends \Drupal\Core\Entity\EntityForm
- class \Drupal\Core\Entity\EntityForm implements \Drupal\Core\Entity\EntityFormInterface extends \Drupal\Core\Form\FormBase
Expanded class hierarchy of TestNodeFormOverride
1 file declares its use of TestNodeFormOverride
- media_library_test.module in core/
modules/ media_library/ tests/ modules/ media_library_test/ media_library_test.module - Contains hook implementations for the media_library_test module.
File
-
core/
modules/ media_library/ tests/ modules/ media_library_test/ src/ Form/ TestNodeFormOverride.php, line 11
Namespace
Drupal\media_library_test\FormView source
class TestNodeFormOverride extends NodeForm {
/**
* {@inheritdoc}
*/
public function submitForm(array &$form, FormStateInterface $form_state) {
$triggering_element = $form_state->getTriggeringElement();
if (in_array('open_button', $triggering_element['#parents'], TRUE)) {
throw new \Exception('The media library widget open_button element should not trigger form submit.');
}
parent::submitForm($form, $form_state);
}
}
Members
| Title Sort descending | Modifiers | Object type | Summary | Overriden Title | Overrides |
|---|---|---|---|---|---|
| ContentEntityForm::$entity | protected | property | The entity being used by this form. | Overrides EntityForm::$entity | 9 |
| ContentEntityForm::$entityRepository | protected | property | The entity repository service. | ||
| ContentEntityForm::$entityTypeBundleInfo | protected | property | The entity type bundle info service. | ||
| ContentEntityForm::$time | protected | property | The time service. | ||
| ContentEntityForm::addRevisionableFormFields | protected | function | Add revision form fields if the entity enabled the UI. | ||
| ContentEntityForm::buildEntity | public | function | Overrides EntityForm::buildEntity | 4 | |
| ContentEntityForm::copyFormValuesToEntity | protected | function | Overrides EntityForm::copyFormValuesToEntity | ||
| ContentEntityForm::flagViolations | protected | function | Flags violations for the current form. | 4 | |
| ContentEntityForm::getBundleEntity | protected | function | Returns the bundle entity of the entity, or NULL if there is none. | ||
| ContentEntityForm::getEditedFieldNames | protected | function | Gets the names of all fields edited in the form. | 4 | |
| ContentEntityForm::getFormDisplay | public | function | Overrides ContentEntityFormInterface::getFormDisplay | ||
| ContentEntityForm::getFormLangcode | public | function | Overrides ContentEntityFormInterface::getFormLangcode | ||
| ContentEntityForm::getNewRevisionDefault | protected | function | Should new revisions created on default. | ||
| ContentEntityForm::init | protected | function | Initializes the form state and the entity before the first form build. | Overrides EntityForm::init | 1 |
| ContentEntityForm::initFormLangcodes | protected | function | Initializes form language code values. | ||
| ContentEntityForm::isDefaultFormLangcode | public | function | Overrides ContentEntityFormInterface::isDefaultFormLangcode | ||
| ContentEntityForm::prepareEntity | protected | function | Overrides EntityForm::prepareEntity | 1 | |
| ContentEntityForm::setFormDisplay | public | function | Overrides ContentEntityFormInterface::setFormDisplay | ||
| ContentEntityForm::showRevisionUi | protected | function | Checks whether the revision form fields should be added to the form. | ||
| ContentEntityForm::updateChangedTime | public | function | Updates the changed time of the entity. | ||
| ContentEntityForm::updateFormLangcode | public | function | Updates the form language to reflect any change to the entity language. | ||
| ContentEntityForm::validateForm | public | function | Button-level validation handlers are highly discouraged for entity forms, as they will prevent entity validation from running. If the entity is going to be saved during the form submission, this method should be manually invoked from the button-level… |
Overrides FormBase::validateForm | 3 |
| DependencySerializationTrait::$_entityStorages | protected | property | An array of entity type IDs keyed by the property name of their storages. | ||
| DependencySerializationTrait::$_serviceIds | protected | property | An array of service IDs keyed by property name used for serialization. | ||
| DependencySerializationTrait::__sleep | public | function | 2 | ||
| DependencySerializationTrait::__wakeup | public | function | #[\ReturnTypeWillChange] | 2 | |
| EntityForm::$entityTypeManager | protected | property | The entity type manager. | 3 | |
| EntityForm::$moduleHandler | protected | property | The module handler service. | ||
| EntityForm::$operation | protected | property | The name of the current operation. | ||
| EntityForm::actionsElement | protected | function | Returns the action form element for the current entity form. | ||
| EntityForm::afterBuild | public | function | Form element #after_build callback: Updates the entity with submitted data. | ||
| EntityForm::buildForm | public | function | Overrides FormInterface::buildForm | 13 | |
| EntityForm::getBaseFormId | public | function | Overrides BaseFormIdInterface::getBaseFormId | 6 | |
| EntityForm::getEntity | public | function | Overrides EntityFormInterface::getEntity | ||
| EntityForm::getEntityFromRouteMatch | public | function | Overrides EntityFormInterface::getEntityFromRouteMatch | 3 | |
| EntityForm::getFormId | public | function | Overrides FormInterface::getFormId | 12 | |
| EntityForm::getOperation | public | function | Overrides EntityFormInterface::getOperation | ||
| EntityForm::prepareInvokeAll | protected | function | Invokes the specified prepare hook variant. | ||
| EntityForm::processForm | public | function | Process callback: assigns weights and hides extra fields. | ||
| EntityForm::setEntity | public | function | Overrides EntityFormInterface::setEntity | ||
| EntityForm::setEntityTypeManager | public | function | Overrides EntityFormInterface::setEntityTypeManager | ||
| EntityForm::setModuleHandler | public | function | Overrides EntityFormInterface::setModuleHandler | ||
| EntityForm::setOperation | public | function | Overrides EntityFormInterface::setOperation | ||
| FormBase::$configFactory | protected | property | The config factory. | 3 | |
| FormBase::$requestStack | protected | property | The request stack. | 1 | |
| FormBase::$routeMatch | protected | property | The route match. | ||
| FormBase::config | protected | function | Retrieves a configuration object. | ||
| FormBase::configFactory | protected | function | Gets the config factory for this form. | 3 | |
| FormBase::container | private | function | Returns the service container. | ||
| FormBase::currentUser | protected | function | Gets the current user. | ||
| FormBase::getRequest | protected | function | Gets the request object. | ||
| FormBase::getRouteMatch | protected | function | Gets the route match. | ||
| FormBase::logger | protected | function | Gets the logger for a specific channel. | ||
| FormBase::redirect | protected | function | Returns a redirect response object for the specified route. | ||
| FormBase::resetConfigFactory | public | function | Resets the configuration factory. | ||
| FormBase::setConfigFactory | public | function | Sets the config factory for this form. | ||
| FormBase::setRequestStack | public | function | Sets the request stack object to use. | ||
| LoggerChannelTrait::$loggerFactory | protected | property | The logger channel factory service. | ||
| LoggerChannelTrait::getLogger | protected | function | Gets the logger for a specific channel. | ||
| LoggerChannelTrait::setLoggerFactory | public | function | Injects the logger channel factory. | ||
| MessengerTrait::$messenger | protected | property | The messenger. | 27 | |
| MessengerTrait::messenger | public | function | Gets the messenger. | 27 | |
| MessengerTrait::setMessenger | public | function | Sets the messenger. | ||
| NodeForm::$currentUser | protected | property | The Current User object. | ||
| NodeForm::$dateFormatter | protected | property | The date formatter service. | ||
| NodeForm::$tempStoreFactory | protected | property | The tempstore factory. | ||
| NodeForm::actions | protected | function | Overrides EntityForm::actions | ||
| NodeForm::create | public static | function | Overrides ContentEntityForm::create | ||
| NodeForm::form | public | function | Overrides ContentEntityForm::form | ||
| NodeForm::preview | public | function | Form submission handler for the 'preview' action. | ||
| NodeForm::save | public | function | Overrides EntityForm::save | ||
| NodeForm::__construct | public | function | Constructs a NodeForm object. | Overrides ContentEntityForm::__construct | |
| RedirectDestinationTrait::$redirectDestination | protected | property | The redirect destination service. | 1 | |
| RedirectDestinationTrait::getDestinationArray | protected | function | Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url. | ||
| RedirectDestinationTrait::getRedirectDestination | protected | function | Returns the redirect destination service. | ||
| RedirectDestinationTrait::setRedirectDestination | public | function | Sets the redirect destination service. | ||
| StringTranslationTrait::$stringTranslation | protected | property | The string translation service. | 3 | |
| StringTranslationTrait::formatPlural | protected | function | Formats a string containing a count of items. | ||
| StringTranslationTrait::getNumberOfPlurals | protected | function | Returns the number of plurals supported by a given language. | ||
| StringTranslationTrait::getStringTranslation | protected | function | Gets the string translation service. | ||
| StringTranslationTrait::setStringTranslation | public | function | Sets the string translation service to use. | 2 | |
| StringTranslationTrait::t | protected | function | Translates a string to the current language or to a given language. | ||
| TestNodeFormOverride::submitForm | public | function | This is the default entity object builder function. It is called before any other submit handler to build the new entity object to be used by the following submit handlers. At this point of the form workflow the entity is validated and the form state… |
Overrides ContentEntityForm::submitForm |
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.